tclap: TCLAP::XorHandler Class Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# TCLAP::XorHandler Class Reference

This class handles lists of Arg's that are to be XOR'd on the command line. More...

`#include <XorHandler.h>`

List of all members.

## Public Member Functions
| XorHandler ()
| Constructor.
void | add (std::vector< Arg * > &ors)
| Add a list of Arg*'s that will be orred together.
int | check (const Arg *a)
| Checks whether the specified Arg is in one of the xor lists and if it does match one, returns the size of the xor list that the Arg matched.
std::string | shortUsage ()
| Returns the XOR specific short usage.
void | printLongUsage (std::ostream &os)
| Prints the XOR specific long usage.
bool | contains (const Arg *a)
| Simply checks whether the Arg is contained in one of the arg lists.
std::vector< std::vector< Arg * > > & | getXorList ()
## Protected Attributes
std::vector< std::vector< Arg * > > | _orList
| The list of of lists of Arg's to be or'd together.

## Detailed Description

This class handles lists of Arg's that are to be XOR'd on the command line.

This is used by CmdLine and you shouldn't ever use it.

Definition at line 38 of file XorHandler.h.

## Constructor & Destructor Documentation

TCLAP::XorHandler::XorHandler | ( |  | ) | `[inline]`

| Constructor. Does nothing. Definition at line 52 of file XorHandler.h.

## Member Function Documentation

void TCLAP::XorHandler::add | ( | std::vector< Arg * > & | ors | ) | `[inline]`

  | Add a list of Arg*'s that will be orred together. Parameters:
  | ors | - list of Arg* that will be xor'd.
Definition at line 95 of file XorHandler.h. References _orList. Referenced by TCLAP::CmdLine::xorAdd().

int TCLAP::XorHandler::check | ( | const Arg * | a | ) | `[inline]`

  | Checks whether the specified Arg is in one of the xor lists and if it does match one, returns the size of the xor list that the Arg matched. If the Arg matches, then it also sets the rest of the Arg's in the list. You shouldn't use this. Parameters:
  | a | - The Arg to be checked.
Definition at line 100 of file XorHandler.h. References _orList, TCLAP::ArgVectorIterator, and TCLAP::Arg::isRequired(). Referenced by TCLAP::CmdLine::parse().

Here is the call graph for this function:

bool TCLAP::XorHandler::contains | ( | const Arg * | a | ) | `[inline]`

  | Simply checks whether the Arg is contained in one of the arg lists. Parameters:
  | a | - The Arg to be checked.
Definition at line 131 of file XorHandler.h. References _orList, and TCLAP::ArgVectorIterator. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), and TCLAP::DocBookOutput::usage().

std::vector< std::vector< Arg * > > & TCLAP::XorHandler::getXorList | ( |  | ) | `[inline]`

| Definition at line 143 of file XorHandler.h. Referenced by TCLAP::StdOutput::_longUsage(), TCLAP::StdOutput::_shortUsage(), TCLAP::ZshCompletionOutput::getMutexList(), and TCLAP::DocBookOutput::usage().

void TCLAP::XorHandler::printLongUsage | ( | std::ostream & | os | ) |

  | Prints the XOR specific long usage. Parameters:
  | os | - Stream to print to.

std::string TCLAP::XorHandler::shortUsage | ( |  | ) |

| Returns the XOR specific short usage.

## Member Data Documentation

std::vector< std::vector<Arg*> > TCLAP::XorHandler::_orList`[protected]`

| The list of of lists of Arg's to be or'd together. Definition at line 45 of file XorHandler.h. Referenced by add(), check(), and contains().

The documentation for this class was generated from the following file:

- XorHandler.h